### Method

# Gtk Snapshot push_clip

#### Declaration [src]

    void
    gtk_snapshot_push_clip (
      GtkSnapshot* snapshot,
      const graphene_rect_t* bounds
    )

#### Description [src]

Clips an image to a rectangle.

The image is recorded until the next call to gtk_snapshot_pop().

#### Parameters

`bounds` | `const graphene_rect_t*`
| The rectangle to clip to.
| The data is owned by the caller of the function.